Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:      	hunspell
Summary:   	Hunspell is a spell checker and morphological analyzer library
Version:   	1.2.1
Release:   	1
Source:    	http://downloads.sourceforge.net/%{name}/hunspell-%{version}.tar.gz
Group:     	System/Libraries
URL:       	http://hunspell.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License:   	LGPLv2+ or GPLv2+ or MPLv1.1
BuildRequires: 	libtool, ncurses-devel

Patch1: 	hunspell-pkgconfig.patch
Patch2: 	hunspell-1.2.1-1863239.badstructs.patch

%description
Hunspell is a spell checker and morphological analyzer library and program 
designed for languages with rich morphology and complex word compounding or 
character encoding. Hunspell interfaces: Ispell-like terminal interface using 
Curses library, Ispell pipe interface, OpenOffice.org UNO module.

%package devel
Requires: 	hunspell = %{version}-%{release}, pkgconfig
Summary: 	Files for developing with hunspell
Group: 		Development/Libraries

%description devel
Includes and definitions for developing with hunspell

%prep
%setup -q
%patch1 -p1 -b .pkgconfig.patch
%patch2 -p1 -b .1863239.badstructs.patch

%build
libtoolize --automake --force
aclocal -I m4
autoconf
automake
%configure --disable-static  --with-ui --with-readline
for i in man/*.? man/hu/*.?; do
    iconv -f ISO-8859-2 -t UTF-8 $i > $i.new
    mv -f $i.new $i
done
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}
rm -f $RPM_BUILD_ROOT/%{_bindir}/example
mkdir $RPM_BUILD_ROOT/%{_datadir}/myspell
mv $RPM_BUILD_ROOT/%{_includedir}/*munch* $RPM_BUILD_ROOT/%{_includedir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README README.myspell COPYING COPYING.LGPL COPYING.MPL AUTHORS AUTHORS.myspell license.hunspell license.myspell THANKS
%{_libdir}/*.so.*
%{_datadir}/myspell
%{_bindir}/hunspell
%{_mandir}/man1/hunspell.1.gz
%{_mandir}/man4/hunspell.4.gz
%lang(hu) %{_mandir}/hu/man1/hunspell.1.gz
%lang(hu) %{_mandir}/hu/man4/hunspell.4.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_bindir}/munch
%{_bindir}/unmunch
%{_bindir}/analyze
%{_bindir}/chmorph
%{_libdir}/pkgconfig/hunspell.pc
%{_libdir}/*.la
%{_libdir}/*.a

%changelog
* Thu Jan 24 2008 Christian Metzen <metzench@ccux-linux.de> 1.2.1-1
- Initial release
